XIncludeFile "TabBarGadget.pbi"


Enumeration
	#Window
	#Gadget
	#Directory
EndEnumeration

UsePNGImageDecoder()

OpenWindow(#Window, 0, 0, 800, 200, "TabBarGadget", #PB_Window_ScreenCentered|#PB_Window_SystemMenu|#PB_Window_SizeGadget)
TabBarGadget(#Gadget, 5, 5, WindowWidth(#Window)-10, 27, #TabBarGadget_CheckBox|#TabBarGadget_CloseButton|#TabBarGadget_Editable, #Window)

If ExamineDirectory(#Directory,  #PB_Compiler_Home+"\PureLibraries", "*")
	While NextDirectoryEntry(#Directory)
		If DirectoryEntryName(#Directory) <> "." And DirectoryEntryName(#Directory) <> ".."
			AddTabBarGadgetItem(#Gadget, #PB_Default, DirectoryEntryName(#Directory))
		EndIf
	Wend
	FinishDirectory(#Directory)
EndIf

Repeat
	Select WaitWindowEvent()
		Case #PB_Event_CloseWindow
			End
		Case #PB_Event_SizeWindow
			ResizeGadget(#Gadget, #PB_Ignore, #PB_Ignore, WindowWidth(#Window)-10, #PB_Ignore)
			UpdateTabBarGadget(#Gadget)
			
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #Gadget
					Select TabBarGadgetEvent(#Gadget)
						Case #TabBarGadgetEvent_CloseTab
							RemoveTabBarGadgetItem(#Gadget, #TabBarGadgetItem_Event)
					EndSelect
			EndSelect
	EndSelect
ForEver
; IDE Options = PureBasic 5.20 beta 5 (Windows - x86)
; CursorPosition = 18
; Folding = -
; EnableXP
; EnableCompileCount = 27
; EnableBuildCount = 0